Package com.scriptel.proscript.cardswipe

## Class IdentificationCardTrackThree

- java.lang.Object
- - com.scriptel.proscript.cardswipe.IdentificationCardTrackThree

-     public class IdentificationCardTrackThree
      extends java.lang.Object

  This class represents track three of a magnetic strip identification card such as a United States driver's license.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentificationCardTrackThree()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCdsVersion()` | Gets the CDS protocol version number.
    `java.lang.String` | `getDiscretionaryData()` | Gets vendor-specific discretionary data.
    `java.lang.String` | `getEndorsements()` | Gets license endorsements.
    `java.lang.String` | `getEyeColor()` | Gets the card-holder eye color.
    `java.lang.String` | `getHairColor()` | Gets the card-holder hair color.
    `java.lang.String` | `getHeight()` | Gets the card-holder height
    `java.lang.String` | `getJurisdictionVersion()` | Gets the jurisdiction version from the card.
    `java.lang.String` | `getLicenseClass()` | Gets the license class.
    `java.lang.String` | `getPostalCode()` | Gets the postal code from the card.
    `java.lang.String` | `getRestrictions()` | Gets the license restrictions.
    `IdentificationSex` | `getSex()` | Gets card-holder gender.
    `java.lang.String` | `getWeight()` | Gets the card-holder weight.
    `static IdentificationCardTrackThree` | `parse​(java.lang.String trackData)` | This method attempts to parse track three data out of the raw strip string.
    `java.lang.String` | `toString()` | Returns this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentificationCardTrackThree

          public IdentificationCardTrackThree()

  - ### Method Detail

    - #### parse

          public static IdentificationCardTrackThree parse​(java.lang.String trackData)

      This method attempts to parse track three data out of the raw strip string.
      Parameters:
        `trackData` - Track data to parse.
      Returns:
        IdentificationCardTrackThree data if possible, null otherwise.

    - #### toString

          public java.lang.String toString()

      Returns this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String containing human readable string.

    - #### getCdsVersion

          public java.lang.String getCdsVersion()

      Gets the CDS protocol version number.
      Returns:
        the cdsVersion

    - #### getJurisdictionVersion

          public java.lang.String getJurisdictionVersion()

      Gets the jurisdiction version from the card.
      Returns:
        the jurisdictionVersion

    - #### getPostalCode

          public java.lang.String getPostalCode()

      Gets the postal code from the card.
      Returns:
        the postalCode

    - #### getLicenseClass

          public java.lang.String getLicenseClass()

      Gets the license class.
      Returns:
        the licenseClass

    - #### getRestrictions

          public java.lang.String getRestrictions()

      Gets the license restrictions.
      Returns:
        the restrictions

    - #### getEndorsements

          public java.lang.String getEndorsements()

      Gets license endorsements.
      Returns:
        the endorsements

    - #### getSex

          public IdentificationSex getSex()

      Gets card-holder gender.
      Returns:
        the sex

    - #### getHeight

          public java.lang.String getHeight()

      Gets the card-holder height
      Returns:
        the height

    - #### getWeight

          public java.lang.String getWeight()

      Gets the card-holder weight.
      Returns:
        the weight

    - #### getHairColor

          public java.lang.String getHairColor()

      Gets the card-holder hair color.
      Returns:
        the hairColor

    - #### getEyeColor

          public java.lang.String getEyeColor()

      Gets the card-holder eye color.
      Returns:
        the eyeColor

    - #### getDiscretionaryData

          public java.lang.String getDiscretionaryData()

      Gets vendor-specific discretionary data.
      Returns:
        the discretionaryData